---

- name: Настройка клиентов NFS
  hosts: testws

  tasks:
  - name: Установка пакетов {{ nas_nfs_client_pkgs }}
    apt_rpm:
      package: "{{ item }}"
      state: present
      update_cache: yes
    loop: "{{ nas_nfs_client_pkgs }}"

  - name: Запуск nfs-client.target
    ansible.builtin.systemd:
      name: nfs-client.target
      enabled: true
      state: restarted

  - name: Создание директории для монтирования NFS
    ansible.builtin.file:
      path: /mnt/nfs_share
      state: directory
      mode: '0770'
      group: "{{ dir_share_grp }}"
